#ifndef _KGR_PATCH_BSC1187054_H
#define _KGR_PATCH_BSC1187054_H

#if IS_ENABLED(CONFIG_BT)

int kgr_patch_bsc1187054_init(void);
void kgr_patch_bsc1187054_cleanup(void);


struct socket;

int kgrp_hci_sock_ioctl(struct socket *sock, unsigned int cmd,
			  unsigned long arg);

#define KGR_PATCH_BSC1187054_FUNCS					\
	KGR_PATCH_OBJ(hci_sock_ioctl, kgrp_hci_sock_ioctl,		\
		      "bluetooth"),					\

#else /* !IS_ENABLED(CONFIG_BT) */

static inline int kgr_patch_bsc1187054_init(void) { return 0; }

static inline void kgr_patch_bsc1187054_cleanup(void) {}

#define KGR_PATCH_BSC1187054_FUNCS

#endif /* IS_ENABLED(CONFIG_BT) */
#endif /* _KGR_PATCH_BSC1187054_H */
